FreeBSD : openoffice.org -- Multiple vulnerabilities (f2b43905-3545-11e0-8e81-0022190034c0)

high Nessus Plugin ID 51966

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

OpenOffice.org Security Team reports :

Fixed in OpenOffice.org 3.3

- CVE-2010-2935 / CVE-2010-2936: Security Vulnerability in OpenOffice.org related to PowerPoint document processing

- CVE-2010-3450: Security Vulnerability in OpenOffice.org related to Extensions and filter package files

- CVE-2010-3451 / CVE-2010-3452: Security Vulnerability in OpenOffice.org related to RTF document processing

- CVE-2010-3453 / CVE-2010-3454: Security Vulnerability in OpenOffice.org related to Word document processing

- CVE-2010-3689: Insecure LD_LIBRARY_PATH usage in OpenOffice.org shell scripts

- CVE-2010-3702 / CVE-2010-3704: Security Vulnerability in OpenOffice.org's PDF Import extension resulting from 3rd party library XPDF

- CVE-2010-4008 / CVE-2010-4494: Possible Security Vulnerability in OpenOffice.org resulting from 3rd party library LIBXML2

- CVE-2010-4253: Security Vulnerability in OpenOffice.org related to PNG file processing

- CVE-2010-4643: Security Vulnerability in OpenOffice.org related to TGA file processing

Solution

Update the affected package.

See Also

http://www.openoffice.org/security/bulletin.html

http://www.nessus.org/u?582f9e5a

Plugin Details

Severity: High

ID: 51966

File Name: freebsd_pkg_f2b43905354511e08e810022190034c0.nasl

Version: 1.8

Type: local

Published: 2/14/2011

Updated: 1/6/2021

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:openoffice.org, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2/10/2011

Vulnerability Publication Date: 8/4/2010

Reference Information

Secunia: 40775